Browse Source

no need to save the certificate to a variable in the example cron script, since it will exit before chained.pem is overwritten

Daniel Roesler 9 years ago
parent
commit
36ec4bdd37
1 changed files with 2 additions and 3 deletions
  1. 2 3
      README.md

+ 2 - 3
README.md

@@ -143,10 +143,9 @@ for example script).
 Example of a `renew_cert.sh`:
 ```sh
 #!/usr/bin/sh
-CERT=python /path/to/acme_tiny.py --account-key /path/to/account.key --csr /path/to/domain.csr --acme-dir /var/www/challenges/ || exit
-echo $CERT > /path/to/signed.crt
+python /path/to/acme_tiny.py --account-key /path/to/account.key --csr /path/to/domain.csr --acme-dir /var/www/challenges/ > /tmp/signed.crt || exit
 wget -O - https://letsencrypt.org/certs/lets-encrypt-x1-cross-signed.pem > intermediate.pem
-cat /path/to/signed.crt intermediate.pem > /path/to/chained.pem
+cat /tmp/signed.crt intermediate.pem > /path/to/chained.pem
 service nginx reload
 ```